<template>
  <div class="scholarship-page">
    <IntroSection :title="page_name" />
    <div class="content">
      <div class="container">
        <FileList :data="scholarship_data" />
      </div>
    </div>
  </div>
</template>

<script>
import _ from "lodash";
import qs from "qs";

export default {
  data() {
    return {
      page_name: "Scholarship",
      scholarship_data: [],
    };
  },
  head({ $config }) {
    return {
      title: `${this.page_name} - ${$config.title}`,
    };
  },
  mounted() {
    this.getScholarshipData();
  },
  methods: {
    async getScholarshipData() {
      const query = qs.stringify(
        {
          populate: "*",
        },
        {
          encodeValuesOnly: true,
        }
      );

      try {
        const res = await this.$appApi.get(`/scholarships?${query}`);
        const data = _.get(res, "data") || [];

        this.scholarship_data = _.map(data, (d) => {
          return {
            name: _.get(d, "attributes.name"),
            file:
              process.env.api_url +
              _.get(d, "attributes.file.data.attributes.url"),
          };
        });
      } catch (error) {
        console.log("getScholarshipData ~ error:", error);
      }
    },
  },
};
</script>

<style lang="scss" scoped>
.scholarship-page {
  .content {
    padding: 80px 0;
    border-top: 1px solid $color-primary-500;
  }
}
</style>
